Author: nickboldt
Date: 2010-01-31 17:48:35 -0500 (Sun, 31 Jan 2010)
New Revision: 20039
Modified:
trunk/common/releng/hudson/run.sh
Log:
add support for -relengBuilderDir
Modified: trunk/common/releng/hudson/run.sh
===================================================================
--- trunk/common/releng/hudson/run.sh 2010-01-31 22:46:11 UTC (rev 20038)
+++ trunk/common/releng/hudson/run.sh 2010-01-31 22:48:35 UTC (rev 20039)
@@ -155,18 +155,25 @@
if [[ $PROJRELENGBRANCH ]]; then
projRelengBranch="$PROJRELENGBRANCH"
else
- projRelengBranch="";
+ projRelengBranch=""
fi
# optional override
if [[ $PROJRELENGNAME ]]; then
projRelengName="$PROJRELENGNAME"
else
- projRelengName="";
+ projRelengName=""
fi
+# optional override
+if [[ ${RELENGBUILDERDIR} ]]; then
+ relengBuilderDir="${RELENGBUILDERDIR}"
+else
+ relengBuilderDir=""
+fi
+
if [[ $haderror -gt 0 ]]; then
- exit 1;
+ exit 1
fi
# pass in additional flags like -buildAlias=1.0.0RC2 using the $EXTRAFLAGS Hudson
parameter
@@ -201,10 +208,6 @@
ln -s ${cvsProjectBaseDir}/org.eclipse.releng.basebuilder ${writableBuildRoot}/
ln -s ${cvsProjectBaseDir}/org.eclipse.dash.common.releng ${writableBuildRoot}/
-if [[ ${RELENGBUILDERDIR} ]]; then
- relengBuilderDir="-relengBuilderDir ${RELENGBUILDERDIR}"
-fi
-
# symlink 3rdPartyJars (reuse existing content)
ln -s ${thirdPartyJarsDir} ${writableBuildRoot}/
thirdPartyJarsDir="${writableBuildRoot}/3rdPartyJars"
Show replies by date